using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTarifagrbp
    {

        public IList<entidadeTarifagrbp> Select(entidadeTarifagrbp objTarifagrbp)
        {
            dalTarifagrbp dalTarifagrbp = null;

            var lstTarifagrbp = new List<entidadeTarifagrbp>();

            regraNegocioGlobal regranegocioGlobal = null;

            DataTable dt = null;

            try
            {
                dalTarifagrbp = new dalTarifagrbp();
                dt = dalTarifagrbp.Select(objTarifagrbp);

                regranegocioGlobal = new regraNegocioGlobal();

                lstTarifagrbp = regraNegocioGlobal.ConvertDataTable<entidadeTarifagrbp>(dt);

                return lstTarifagrbp;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
